
AutoItSetOption ("WinTitleMatchMode", 2)

Global $i = 1
Global $win1, $win2

#cs

WinSwitchie TITLE, v0.1
Samuel Murray, February 2020

Identify two windows, and then the shortcut key (by default `) will activate them in turn.

The HANDLE version identifies windows by their handle.
The TITLE & HANDLE version also identifies windows by their handle.
The TITLE version identifies windows by their titles.

#ce

$hellow = MsgBox (260, "WinSwitchie TITLE v0.1", "Have you read the readme.txt file?", 0)
If $hellow = 7 Then Exit

$win1 = InputBox ("Identify 1st window", "Type a few letters from the title of the first window.")
If @error = 1 Then Exit

$win2 = InputBox ("Identify 2nd window", "Type a few letters from the title of the second window.")
If @error = 1 Then Exit

HotKeySet ("`", "switchie")
HotKeySet ("!`", "helpie")
HotKeySet ("^`", "exittie")

While 1
Sleep ("100")
WEnd

Func exittie()
Exit
EndFunc

Func helpie()
MsgBox (0, "", "[" & $win1 & "]" & @CRLF & "[" & $win2 & "]", 0)
EndFunc

Func switchie()

If $i = 1 Then
$i = 2
Else
$i = 1
EndIf

If $i = 2 Then
WinActivate ($win1)
Else
WinActivate ($win2)
EndIf

EndFunc
